> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-findings-decoys-followup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke

> Invokes the c1.api.llm_gateway.v1.GatewayKeyService.Revoke method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/llm-gateway/keys/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/llm-gateway/keys/{id}:
    delete:
      tags:
        - LLM Gateway Keys
      summary: Revoke
      description: Invokes the c1.api.llm_gateway.v1.GatewayKeyService.Revoke method.
      operationId: c1.api.llm_gateway.v1.GatewayKeyService.Revoke
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.llm_gateway.v1.RevokeGatewayKeyRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.llm_gateway.v1.RevokeGatewayKeyResponse
          description: Successful response
components:
  schemas:
    c1.api.llm_gateway.v1.RevokeGatewayKeyRequestInput:
      description: The RevokeGatewayKeyRequest message.
      title: Revoke Gateway Key Request
      type: object
      x-speakeasy-name-override: RevokeGatewayKeyRequest
    c1.api.llm_gateway.v1.RevokeGatewayKeyResponse:
      description: The RevokeGatewayKeyResponse message.
      properties:
        gatewayKey:
          oneOf:
            - $ref: '#/components/schemas/c1.api.llm_gateway.v1.GatewayKey'
            - type: 'null'
      title: Revoke Gateway Key Response
      type: object
      x-speakeasy-name-override: RevokeGatewayKeyResponse
    c1.api.llm_gateway.v1.GatewayKey:
      description: The GatewayKey message.
      properties:
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type: string
        id:
          description: The id field.
          type: string
        keyPrefix:
          description: The keyPrefix field.
          type: string
        revokedAt:
          format: date-time
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Gateway Key
      type: object
      x-speakeasy-name-override: GatewayKey
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````